%define LANG hu
%define version 0.2.2
%define release 3mdk

%define tar_ver 2001_01_05

Summary: Hungarian manual pages
Name: man-pages-%{LANG}
Version: %{version}
Release: %{release}
License: Distributable
Group: System/Internationalization
Source: http://www.kde.hu/mlp/man/man_hu_%{tar_ver}.tar.bz2
Source1: makewhatis.%{LANG}.bz2
Icon: books-%{LANG}.xpm
URL: http://www.kde.hu/mlp/man/
Buildroot: %_tmppath/%{name}
Prereq: sed grep man
Autoreqprov: false
BuildArchitectures: noarch
Requires: locales-%{LANG}
Obsoletes: man-%{LANG}, manpages-%{LANG}
Provides: man-%{LANG}, manpages-%{LANG}

%description 
Hungarian translations of Linux manual pages: this package includes not
only those from the LDP, but also translations of other popular
man-pages.

%prep
%setup -q -n usr
#%setup -n manpages-%{LANG}
%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/%{LANG}/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/var/catman/%{LANG}/cat{1,2,3,4,5,6,7,8,9,n}

find man/hu -type f -name "*.gz" -exec gunzip {} \;

for i in 1 2 3 5 7 8; do
	cp -avrf man/hu/man$i $RPM_BUILD_ROOT/%{_mandir}/%{LANG}/
done

mkdir -p $RPM_BUILD_ROOT/usr/sbin
bzcat %SOURCE1 > $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}
chmod a+rx $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}

$RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG} \
        $RPM_BUILD_ROOT/%{_mandir}/%{LANG}

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron << EOF
#!/bin/bash
/usr/sbin/makewhatis.%{LANG} /%{_mandir}/%{LANG}
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron

%post
/etc/cron.weekly/makewhatis-%{LANG}.cron
touch %{_mandir}/%{LANG}/whatis

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LANG}, if there isn't any man page
   ## directory /%{_mandir}/%{LANG}
   if [ ! -d /%{_mandir}/%{LANG} ] ; then
       rm -rf /var/catman/%{LANG}
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,man,755)
#%doc CHANGES README COPYRIGHT
%dir /%{_mandir}/%{LANG}
/%{_mandir}/%{LANG}/man*
%ghost /%{_mandir}/%{LANG}/whatis
%attr(775,root,man)/var/catman/%{LANG}
%attr(755,root,root)/usr/sbin/makewhatis.%{LANG}
%config(noreplace) %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}.cron

%changelog
* Thu Mar 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.2-3mdk
- fix permission on /usr/share/man/hu/*
- provides manpages-%%{LANG}
- don't overwrite crontab if user altered it

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.2.2-2mdk
- Use %%_tmppath for BuildRoot

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- updated by Andras Timar <timar@linux-mandrake.com>

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.0-1mdk
- BM

* Sun Jul 09 2000 Tmr Andrs <timar@linux-mandrake.com> 0.2.0-1mdk
- new release

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.0-4mdk
- use mandir macro in order to be ok when switching to /usr/share/man as
  following FHS.

* Tue Mar 28 2000 Denis Havlik <denis@mandrakesoft.com> 0.1.0-3mdk
- convert to new group scheme
- add "Prereq: sed grep man"

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved makewhatis.%{LANG} from /usr/local/sbin to /usr/sbin

* Mon Oct 11 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first rpm for Mandrake

